MyEmotionalStroopData = matfile('MyEmotionalStroopData.mat', 'Writable', true);
happyNeutralFaces = {'happy_male.bmp', 'happy_female.bmp', 'neutral_male.bmp', 'neutral_female.bmp'};
Words = {'Joyful', 'Happy','Neutral', 'Objective'};

allCombinations = combvec(1:length(happyNeutralFaces), 1:length(Words));% ظб
shuffledCombinations = allCombinations(:, randperm(size(allCombinations, 2)));% б
trialOrder = [];% ʼԴ˳

% Դ˳ÿƬÿֻѭһ
for i = 1:size(shuffledCombinations, 2)
    currentFaceIndex = shuffledCombinations(1, i);
    currentWordIndex = shuffledCombinations(2, i);
    
    % ӵԴ˳
    trialOrder = [trialOrder, struct('faceIndex', currentFaceIndex, 'wordIndex', currentWordIndex)];
end

% ʵṹ
MyEmotionalStroopData.happyNeutralFaces = happyNeutralFaces;
MyEmotionalStroopData.Words = Words;

Screen('Preference', 'SkipSyncTests', 1);
Screen('Preference', 'VisualDebugLevel', 0);
[window, ~] = Screen('OpenWindow', max(Screen('Screens')), [255 255 255]); 

[screenX, screenY] = Screen('WindowSize', window);
centerX = screenX / 2;
centerY = screenY / 2;


instructionText = 'Welcome to the experiment!\nPress ''h'' for happy face, ''n'' for neutral face.\nPress SPACE to continue';
textSize = 50;
Screen('TextSize', window, textSize);
DrawFormattedText(window, instructionText, 'center', 'center', 0);

Screen('Flip', window);
KbWait([], 2); % ȴո
Screen('Flip', window);
pauseDuration = 2; % ͣʱ䣨λ룩
WaitSecs(pauseDuration);

%   
for i = 1:length(trialOrder)
    currentFaceIndex = trialOrder(i).faceIndex;
    currentWordIndex = trialOrder(i).wordIndex;
    
    % ѡһ׺һ
    currentFaceTexture = Screen('MakeTexture', window, imread(happyNeutralFaces{currentFaceIndex}));
    currentWord = Words{currentWordIndex};
    
    Screen('DrawTexture', window, currentFaceTexture);
    DrawFormattedText(window, currentWord, 'center', 'center', [0 0 0]);% ͼƬϵӵ
    Screen('Flip', window);
    
    % ȴԵķӦ
    response = '';
    while isempty(response)
        [keyIsDown, ~, keyCode] = KbCheck;
        if keyIsDown
            keyPressed = KbName(keyCode);
            if strcmp(keyPressed, 'h')
                response = 'happy';
            elseif strcmp(keyPressed, 'n')
                response = 'neutral';
            end
        end
    end
    
    % 汻ԵķӦ
    trialData.condition = sprintf('%s_%s', happyNeutralFaces{currentFaceIndex}, Words{currentWordIndex});
    trialData.response = response;
    MyEmotionalStroopData.(sprintf('trial%d', i)) = trialData;

    % ͣһʱ
    pauseDuration = 2; % õȴʱ
    WaitSecs(pauseDuration);
    
    Screen('Close', currentFaceTexture);
end

Screen('CloseAll');
save('MyEmotionalStroopData.mat', 'MyEmotionalStroopData');
