function MyEmotionalStroopExpF(id, name, session)
    if nargin < 3
        error('뱻ԱšʵִΡ');  %MyEmotionalStroopExpF('001', 'Duan', 1);
    end

    % һµMATļ
    filename = sprintf('StroopExp_%s_%s_Session%d.mat', id, name, session);
    StroopData = matfile(filename, 'Writable', true);
    MyEmotionalStroopData = struct('id', id, 'name', name, 'session', session, 'trials', []);
    % ֺͼԼ
    happyNeutralFaces = {'happy_male.bmp', 'happy_female.bmp', 'neutral_male.bmp', 'neutral_female.bmp'};
    Words = {'Joyful', 'Happy','Neutral', 'Objective'};

    % Դб
    allCombinations = combvec(1:length(happyNeutralFaces), 1:length(Words));
    shuffledCombinations = allCombinations(:, randperm(size(allCombinations, 2)));

    % ʵ鴰
    Screen('Preference', 'SkipSyncTests', 1);
    Screen('Preference', 'VisualDebugLevel', 0);
    [window, ~] = Screen('OpenWindow', max(Screen('Screens')), [255 255 255]);   
    feedbackDuration = 2;
    
    instructionText = 'Welcome to the experiment!\nPress ''h'' for happy face, ''n'' for neutral face.\nPress SPACE to continue';
    textSize = 60; 
    Screen('TextSize', window, textSize);
    DrawFormattedText(window, instructionText, 'center', 'center', 0);

    Screen('Flip', window);
    KbWait([], 2); % ȴո
    Screen('Flip', window);
    pauseDuration = 2; % ͣʱ䣨λ룩
    WaitSecs(pauseDuration);

    % 
    for block = 1:2 % ʵ
        for i = 1:length(shuffledCombinations)
            currentFaceIndex = shuffledCombinations(1, i);
            currentWordIndex = shuffledCombinations(2, i);

            % ѡһ׺һ
            currentFaceImage = happyNeutralFaces{currentFaceIndex};
            currentFaceTexture = Screen('MakeTexture', window, imread(currentFaceImage));
            currentWord = Words{currentWordIndex};

            % ж congruent  incongruent
            isHappyFace = ~isempty(strfind(lower(currentFaceImage), 'happy'));
            isNeutralFace = ~isempty(strfind(lower(currentFaceImage), 'neutral'));
            
            if (isHappyFace && (strcmp(currentWord, 'Joyful') || strcmp(currentWord, 'Happy'))) || ...
               (isNeutralFace && (strcmp(currentWord, 'Neutral') || strcmp(currentWord, 'Objective')))
                conditionType = 'congruent';
            else
                conditionType = 'incongruent';
            end

            Screen('DrawTexture', window, currentFaceTexture);
            DrawFormattedText(window, currentWord, 'center', 'center', [0 0 0]); % ͼƬϵӵ
            Screen('Flip', window);

            reactionStartTime = GetSecs;
            % ȴԵķӦ
            response = '';
            while isempty(response)
                [keyIsDown, ~, keyCode] = KbCheck;
                if keyIsDown
                    keyPressed = KbName(keyCode);
                  % ֤ԵİӦǷȷ
                    isHappyFace = ~isempty(strfind(lower(currentFaceImage), 'happy'));
                    isNeutralFace = ~isempty(strfind(lower(currentFaceImage), 'neutral'));
                    if (isHappyFace && strcmp(keyPressed, 'h')) || (isNeutralFace && strcmp(keyPressed, 'n'))
                        response = 'Correct';
                        accuracy = 1; 
                    else
                        response = 'Incorrect';
                        accuracy = 0; 
                    end
                end
            end
            reactionEndTime = GetSecs; 
            % ʾ
            if strcmp(response, 'Correct')
                color = [0 255 0]; % ɫ
            else
                color = [255 0 0]; % ɫ
            end

            DrawFormattedText(window, response, 'center', 'center', color);
            Screen('Flip', window);

            % 汻ԵķӦ
            trialData.condition = sprintf('%s_%s', currentFaceImage, currentWord);
            trialData.response = response;
            trialData.accuracy = accuracy;
            trialData.reactionTime = reactionEndTime - reactionStartTime;
            trialData.conditionType = conditionType;
            MyEmotionalStroopData.trials = [MyEmotionalStroopData.trials, trialData];

            % ͣһʱ
            WaitSecs(feedbackDuration);

            Screen('Close', currentFaceTexture);
        end
    end

    % رʵ鴰
    Screen('CloseAll');

    % ʵ
    save(sprintf('MyEmotionalStroopData_%s_%d.mat', name, session), 'MyEmotionalStroopData');
end
