% MATļ
subject1Data = load('StroopExp_001_Duan_Session1.mat');
subject2Data = load('StroopExp_001_Chen_Session1.mat');
subject3Data = load('StroopExp_001_WANG_Session1.mat');
subject4Data = load('StroopExp_001_Gao_Session1.mat');

% ʵ
conditions = {'congruent', 'incongruent'};
numConditions = length(conditions);

% ʼԴ洢Ӧʱ׼ȷ
allReactionTime = zeros(4, numConditions);
allAccuracy = zeros(4, numConditions);

% ϲбԵ
for subj = 1:4
    currentData = eval(['subject' num2str(subj) 'Data.MyEmotionalStroopData.trials']);
    
    for k = 1:numConditions
        currentCondition = conditions{k};

        % ɸѡǰµ
        conditionIndices = strcmp({currentData.conditionType}, currentCondition);
        currentConditionData = currentData(conditionIndices);

        % ȡӦʱ׼ȷ
        allReactionTime(subj, k) = mean([currentConditionData.reactionTime]);
        allAccuracy(subj, k) = mean([currentConditionData.accuracy]);
    end
end

% ׼
stdErrorRT = std(allReactionTime) / sqrt(4);
stdErrorAccuracy = std(allAccuracy) / sqrt(4);

% ƴͼ
figure;

subplot(2, 1, 1);
bar(mean(allReactionTime));
hold on;
errorbar(1:numConditions, mean(allReactionTime), stdErrorRT, '.', 'LineWidth', 1);
hold off;
set(gca, 'XTick', 1:numConditions, 'XTickLabel', conditions);
ylabel('Mean Reaction Time');
title('Mean Reaction Time Across Conditions');

subplot(2, 1, 2);
bar(mean(allAccuracy));
hold on;
errorbar(1:numConditions, mean(allAccuracy), stdErrorAccuracy, '.', 'LineWidth', 1);
hold off;
set(gca, 'XTick', 1:numConditions, 'XTickLabel', conditions);
ylabel('Accuracy');
title('Accuracy Across Conditions');

% ͼδڲ
sgtitle('Experiment Results Across Subjects', 'FontSize', 16);
